Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-57431

FTBFS for QtWebKit: "ICU is required"

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.8.0
    • Fix Version/s: 5.8.0 RC
    • Component/s: Build System
    • Labels:
      None
    • Commits:
      7ae27514e4a800eb0419879dc38cfdfce897ad60

      Description

      Steps to reproduce:

      1. Install ICU to somewhere standard (e.g., on Windows C:\Qt\icu)
      2. Configure qtbase:
        • On Windows: configure -Ic:/qt/icu/include -Lc:/qt/icu/lib64
        • Elsewhere: normal, just make sure sure qtbase can find ICU
      3. Compile qtbase (note how it finds ICU and links to it)
      4. Run qmake in qtwebkit

      It prints, at the end:

      The WebKit build was disabled for the following reasons:
          * ICU is required.
      

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            buddenha Oswald Buddenhagen
            Reporter:
            thiago Thiago Macieira
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes